Bug 1792304 - When generating custom report, leave output format field empty
Summary: When generating custom report, leave output format field empty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.8.0
Assignee: Leos Stejskal
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-17 13:47 UTC by Lukáš Hellebrandt
Modified: 2020-10-27 13:00 UTC (History)
5 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:00:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28845 0 Normal Closed When generating custom report, leave output format field empty 2020-10-28 17:23:03 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:00:17 UTC

Description Lukáš Hellebrandt 2020-01-17 13:47:45 UTC
Description of problem:
When generating a report template that doesn't contain report_render string in template, the Output Format field is greyed out but contains the value of "CSV". This is misleading because the resulting file is a text file, according both to MIME type and to its extension.

Version-Release number of selected component (if applicable):
6.7, feature unavailable in previous versions

How reproducible:
Deterministic

Steps to Reproduce:
1. Create a report template that doesn't contain report_render string in template
2. Monitor -> Report Templates -> Generate

Actual results:
Output Format field greyed out, containing "CSV"

Expected results:
Something that is not misleading, e.g. empty value

Comment 3 Leos Stejskal 2020-01-23 12:38:11 UTC
Created redmine issue https://projects.theforeman.org/issues/28845 from this bug

Comment 4 Bryan Kearney 2020-02-19 15:04:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28845 has been resolved.

Comment 5 Lukáš Hellebrandt 2020-06-09 11:55:55 UTC
Verified with Sat 6.8 snap 3.0.

Used reproducer from OP. Custom reports now have the Output Format field greyed out and empty (and the result is a txt file) while the behavior hasn't changed when generating built-in reports.

Comment 8 errata-xmlrpc 2020-10-27 13:00:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.